#!/usr/bin/bash

# Make sure we are talking to the desired cluster
kubectl get nodes
echo
read -p "Check nodes: kubectl context ok? [y/N] "
if [ "$(echo $REPLY|tr y Y)" != "Y" ];
then
    echo Aborting.
    exit
fi

echo
cat INFO.yml
echo
{% if auto_nfs %}
echo This hub has a NFS share. Remember to delete that share as well!
{% endif %}
echo
read -p "Do you really want to delete this hub? "
if [ "$(echo $REPLY|tr y Y)" != "Y" ];
then
    echo Aborting.
    exit
fi

RELEASE=jhub-{{ cluster }}-{{ moodle_id }}
NAMESPACE=jhub-{{ cluster }}-{{ moodle_id }}
VERSION={{ jhub_chart_version }}

helm delete $RELEASE --namespace $NAMESPACE

# Remove API for Moodle assignments
kustomize build moodle-api | kubectl delete -f -

# Remove pvc's
kustomize build . | kubectl delete -f -

echo
echo "JupyterHub $RELEASE removed"
